/******************************************************************************
    Copyright (c) 2007 Electronic Tools Company    ALL RIGHTS RESERVED

  The contents of this file are subject to the restrictions and limitations
  set forth in the SYNOPSYS Open Source License Version 1.0  (the "License"); 
  you may not use this file except in compliance with such restrictions 
  and limitations. You may obtain instructions on how to receive a copy of 
  the License at

  http://www.synopsys.com/partners/tapin/open_source/license_liberty.html. 

  Software distributed by Original Contributor under the License is 
  distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either 
  expressed or implied. See the License for the specific language governing 
  rights and limitations under the License.

******************************************************************************/

#ifndef _ATTR_H__
#define _ATTR_H__

#include "entry.h"
#define CLASS1 0
#define CLASS2 1

class Attr : public Entry
{
  string strName;
  string strValue;
  int	 strMode;
public:
  Attr(int, const string&, const string&, int);
  ~Attr();

  void WriteTo(ostream &, const string&);

  string name() const { return strName; }
  string value() const { return strValue; }
  int mode() const { return strMode; }
};
#endif
