/******************************************************************************
    Copyright (c) 2007 Electronic Tools Company    ALL RIGHTS RESERVED

  The contents of this file are subject to the restrictions and limitations
  set forth in the SYNOPSYS Open Source License Version 1.0  (the "License"); 
  you may not use this file except in compliance with such restrictions 
  and limitations. You may obtain instructions on how to receive a copy of 
  the License at

  http://www.synopsys.com/partners/tapin/open_source/license_liberty.html. 

  Software distributed by Original Contributor under the License is 
  distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either 
  expressed or implied. See the License for the specific language governing 
  rights and limitations under the License.

******************************************************************************/

#ifndef _PATH_H__
#define _PATH_H__

#include "group.h"
class Path : public Group
{
public:
  Path(int lineno, const string&, const string&, Group*);
  ~Path();

  string key() const;

  void Ccs2ecsm(const string&, const string&);

private:
  virtual void addValue(const string&, size_t);
};

#endif
